controllers/SiteController.php
<?php

namespace app\controllers;

use Yii;
use yii\filters\AccessControl;
use yii\web\Controller;
use yii\web\Response;
use yii\filters\VerbFilter;
use app\models\LoginForm;
use app\models\ContactForm;
use app\models\Productos;
use yii\data\ActiveDataProvider;
use app\controllers\CategoriasController;
use app\models\Categorias;

class SiteController extends Controller
{
    /**
     * {@inheritdoc}
     */
    public function behaviors()
    {
        return [
            'access' => [
                'class' => AccessControl::className(),
                'only' => ['logout'],
                'rules' => [
                    [
                        'actions' => ['logout'],
                        'allow' => true,
                        'roles' => ['@'],
                    ],
                ],
            ],
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'logout' => ['post'],
                ],
            ],
        ];
    }

    /**
     * {@inheritdoc}
     * actions controla las acciones que no existen
     */
    public function actions()
    {
        return [
            'error' => [
                'class' => 'yii\web\ErrorAction',
            ],
            'captcha' => [
                'class' => 'yii\captcha\CaptchaAction',
                'fixedVerifyCode' => YII_ENV_TEST ? 'testme' : null,
            ],
        ];
    }

    /**
     * Displays homepage.
     *
     * @return string
     */
    public function actionInicio()
    {
    
        return $this->render('inicio',[
           "titulo"=>"Tiendas JOTA",
            "foto"=>"bici.png",
            "texto"=>"Más de 20 años de experiencia"
        ]);
    }
    
    
    public function actionOfertas()
    {
        
        //solo los que oferta true
         $consulta=Productos::find()
                 //->where("oferta = 1")
                 ->where(["oferta"=>1])
                 ->all();
 
            return $this->render('productos',[
                'productos'=>$consulta,
            ]);
            
            
            
    }
    
     public function actionProductos()
    {
         //Devuelve un array de productos Es un activeQuery
          $consulta= Productos::find()->all();
          // Como voy a mostrar los productos con un array le paso la consulta ejecutada
          //Le estoy pasando el array de objetos con los productos
            return $this->render('productos',[
                'productos'=>$consulta,
            ]);
    }
    
     public function actionCategorias()
    {
         
        $dataProvider = new ActiveDataProvider([
            'query' => Categorias::find(),
        ]);
        //Aquí voy a usar el GridView y éste necesita la consulta sin ejecutar
        return $this->render('categorias', [
            'categorias' => $dataProvider,
        ]);
    }
    
    
     public function actionEstamos()
    {
        return $this->render('estamos');
    }
    
     public function actionSomos()
    {
        return $this->render('somos');
    }
    
     public function actionNuestros()
    {
        return $this->render('nuestros');
    }
    
     public function actionInformacion()
    {
        return $this->render('informacion');
    }
    
      public function actionContacto()
    {
        return $this->render('contacto');
    }
    
    
       public function actionFotodetalle($id)
    {
           
        /*$dataProvider = new ActiveDataProvider([
            'query' => Categorias::find()->where(["id"=>$id]),
        ]);*/
        
        return $this->render('fotodetalle',[
            'model' => Categorias::findOne($id),
        ]);
    }

    
    
    
    
    
}

views/layouts/main.php
<?php

/* @var $this \yii\web\View */
/* @var $content string */

use app\widgets\Alert;
use yii\helpers\Html;
use yii\bootstrap\Nav;
use yii\bootstrap\NavBar;
use yii\widgets\Breadcrumbs;
use app\assets\AppAsset;
use rmrevin\yii\fontawesome\FA;





AppAsset::register($this);
?>
<?php $this->beginPage() ?>
<!DOCTYPE html>
<html lang="<?= Yii::$app->language ?>">
<head>
    <meta charset="<?= Yii::$app->charset ?>">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <?php $this->registerCsrfMetaTags() ?>
    <title><?= Html::encode($this->title) ?></title>
    <?php $this->head() ?>
</head>
<body>
<?php $this->beginBody() ?>

<div class="wrap">
    <?php
    
    
    NavBar::begin([
        'brandLabel' => Yii::$app->name,
        'brandUrl' => Yii::$app->homeUrl,
        'options' => [
            'class' => 'navbar-inverse navbar-fixed-top',
        ],
    ]);
    echo Nav::widget([
        'options' => ['class' => 'navbar-nav navbar-right'],
        //Esto es para que traduzca las etiquetas de los iconos
        'encodeLabels' => false,
        'items' => [
            [
               
                'label' => FA::icon('home').'&nbsp&nbsp'.'Inicio', 
                'url' => ['/site/inicio']
            ],
            
            [
                'label' => FA::icon('euro').'&nbsp&nbsp'.'Ofertas',
                'url' => ['/site/ofertas']],
            [
                'label' => FA::icon('book').'&nbsp&nbsp'.'Productos',
                'url' => ['/site/productos']
                ],
            [
                'label' => FA::icon('sitemap').'&nbsp&nbsp'.'Categorías',
                'url' => ['/site/categorias']
                ],
            
            /* desplegable con yii2*/
         
           [
            'label' => FA::icon('users').'&nbsp&nbsp'.'Nosotros',
            'items' => [
                ['label' => 'Dónde Estamos', 'url' => ['/site/estamos']],
                ['label' => 'Quienes somos', 'url' => ['/site/somos']],
                ['label' => 'Nuestros productos', 'url' => ['/site/nuestros']],
                 '<li class="divider"></li>',
                ['label' => 'Información', 'url' => ['/site/informacion']],
            ],
        ], 
        
            ['label' => FA::icon('phone').'&nbsp&nbsp'.'Contacto', 'url' => ['/site/contacto']],
           
        ],
    ]);
    NavBar::end();
    ?>

    <div class="container">
        <?= Breadcrumbs::widget([
            'links' => isset($this->params['breadcrumbs']) ? $this->params['breadcrumbs'] : [],
        ]) ?>
        <?= Alert::widget() ?>
        <?= $content ?>
    </div>
</div>

<footer class="footer">
    <div class="container">
        <p class="pull-left">&copy; JOTA - Ana Hernández <?= date('Y') ?></p>

        <p class="pull-right"><?= Yii::powered() ?></p>
    </div>
</footer>

<?php $this->endBody() ?>
</body>
</html>
<?php $this->endPage() ?>